# $Revision: 1.16 $, $Date: 2007-11-26 18:54:01 $
Summary:	Password Safe - a password database utility
Summary(pl.UTF-8):	Password Safe - narzędzie do zarządzania bazą danych haseł
Name:		MyPasswordSafe
Version:	20061216
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	http://www.semanticgap.com/myps/release/%{name}-%{version}.src.tgz
# Source0-md5:	0fef98e77c8e593382fb201bd278cacf
Source1:	%{name}.desktop
URL:		http://www.semanticgap.com/myps/
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	qmake
BuildRequires:	qt-linguist
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MyPasswordSafe is a straight-forward, easy-to-use password manager
that maintains compatibility with Password Safe files. MyPasswordSafe
has the following features:
- Safes are encrypted when they are stored to disk.
- Passwords never have to be seen, because they are copied to the
  clipboard.
- Random passwords can be generated.
- Window size, position, and column widths are remembered.
- Passwords remain encrypted until they need to be decrypted at the
  dialog and file levels.
- A safe can be made active so it will always be opened when
  MyPasswordSafe starts.
- Supports Unicode in the safes.

%description -l pl.UTF-8
MyPasswordSafe to prosty, łatwy w użyciu zarządca haseł utrzymujący
kompatybilność z plikami Password Safe. MyPasswordSafe ma następujące
możliwości:
- "Sejfy" z hasłami są szyfrowane przy zapisie na dysk.
- Haseł nie trzeba nigdy widzieć, ponieważ są kopiowane do schowka.
- Mogą być generowane hasła losowe.
- Można zapamiętać rozmiar i położenie okna oraz szerokości kolumn.
- Hasła pozostają zaszyfrowane aż do chwili kiedy muszą być
  odszyfrowane na poziomie okien dialogowych i plików.
- "Sejf" może być uczyniony aktywnym, tak że jest otwierany przy
  uruchomieniu MyPasswordSafe.
- Obsługuje Unikod w hasłach.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix} \
	QTDIR=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/locale,%{_desktopdir},%{_pixmapsdir}}

install MyPasswordSafe $RPM_BUILD_ROOT%{_bindir}
install locale/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/locale

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog doc/manual.html doc/sshots/*.jpg README
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale
%{_datadir}/%{name}/locale/mypasswordsafe_c.qm
%lang(en) %{_datadir}/%{name}/locale/mypasswordsafe_en.qm
%lang(fr) %{_datadir}/%{name}/locale/mypasswordsafe_fr.qm
%{_desktopdir}/*.desktop

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MyPasswordSafe.spec,v $
Revision 1.16  2007-11-26 18:54:01  arvenil
- up to 20061216
- BR: xorg-lib-libXScrnSaver-devel
- BR: xorg-proto-scrnsaverproto-devel
- removed Patch0 (already included in sources)
- thanks to Adam Skuciński <askucins@gmail.com>

Revision 1.15  2007-02-12 21:23:44  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.13  2006/06/18 18:50:20  adamg
- updated to snap 20060326

Revision 1.12  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.11  2005/06/26 16:42:56  darekr
- more docs

Revision 1.10  2005/06/26 16:23:11  blekot
- up to 20050615

Revision 1.9  2004/12/20 20:31:15  blues
- release 1 - added desktop.

Revision 1.8  2004/12/20 20:21:58  blues
- builds, works - quite nice.

Revision 1.7  2004/12/20 19:42:56  qboosh
- sort

Revision 1.6  2004/12/20 19:40:40  blues
- removed not needed things

Revision 1.5  2004/12/20 19:28:26  blues
- prefix _is_ needed, added CC define

Revision 1.4  2004/12/20 19:19:24  blues
- more cosmetics

Revision 1.3  2004/12/20 19:15:12  zbyniu
- almost finished

Revision 1.2  2004/12/20 18:12:28  qboosh
- pl

Revision 1.1  2004/12/20 14:52:35  blues
- initial, raw, nice app. NFY.
